//+------------------------------------------------------------------+
//|                                               HistoryBuilder.mq5 |
//|                                             Copyright 2011, Xere |
//|                                                xere@servicam.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, Xere"
#property link      "xere@servicam.com"


int gi_FileHandle=-2;

MqlTick Tick;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   string ls_FileName = "History\\"+_Symbol + ".csv";
   gi_FileHandle = FileOpen(ls_FileName, FILE_WRITE|FILE_CSV);

   if(gi_FileHandle == INVALID_HANDLE) Print("Error code ",GetLastError());
   else Print(ls_FileName, " Opened");

   return(0);
  }
 
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   FileClose(gi_FileHandle);
  }

//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   SymbolInfoTick(_Symbol, Tick);
   ResetLastError();
   uint i =FileWrite(gi_FileHandle, Tick.time, DoubleToString(Tick.ask, _Digits), DoubleToString(Tick.bid, _Digits)); 
   if(i == 0) Print("Error code ",GetLastError()); 
   return;   
  }
//+------------------------------------------------------------------+
